# Important Notification

Provides a global top banner that can display important messages.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/in).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/in).


## Table of contents (optional)

- Requirements
- Installation
- Configuration
- Maintainers


## Requirements

This module requires no modules outside of Drupal core.


## Installation

Install as you would normally install a contributed Drupal module. For further information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

1. Navigate to Administration > Extend and enable the module.
2. Navigate to Administration > User interface > Important Notification settings to configure notifications types: `/admin/config/user-interface/important-notification`.
2. Navigate to Administration > User interface > Important Notification settings to configure output position: `/admin/config/user-interface/important-notification/config`.
3. Navigate to Content > Important Notification content to add/edit notifications texts: `/admin/content/important-notification`.
4. Clear all Drupal caches.

### Add IN output in twig templates

The IN module can add notifications to a page (in twig templates) in two ways:

1. via `page_top` section;
2. via `page` section.

If used the second option then will need in a `page.html.twig` template add next line (like on the top of the page):

```
{{ important_notification }}
```

## Maintainers

Current maintainers:

- Pavlo Tyshchenko - [azovsky](https://www.drupal.org/u/azovsky)

Supporting organizations:

- [Knectar](https://www.drupal.org/knectar) Created this module for all Drupal community!
